<?php 
/**
 * This file implements the fancybox plugin for for Quam Plures
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 *
 * @package plugins
 * @author Lee Turner
 * @version $Id:  $
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

/**
 * Fancybox Plugin
 * This plugin allows you to Fancybox within your posts.
 */
class fancybox_plugin extends Plugin 
{
	
	var $author = 'Lee Turner';
	var $author_url = 'http://www.hackingquamplures.com';
	var $group = 'Hacking Quam Plures';
	var $help_url = 'http://www.hackingquamplures.com/quam-plures-plugins/fancybox_plugin';
	var $code = 'hqp_fancybox';
	var $apply_rendering = 'never';
	var $number_of_installs = 1;
	var $priority = 99;
	var $version = '0.1';
	
	/**
	 * @see Plugin::PluginInit()
	 */
	function PluginInit( & $params ) 
	{
		$this->name = $this->T_('Fancybox');
		$this->short_desc = $this->T_('Allows you to use fancybox within your posts');
		$this->long_desc = $this->T_('This plugin adds the fancybox media viewer to your blog allowing you to use it within your posts.  For more on Fancybox see - http://fancybox.net');
	}

	/**
	 * @see Plugin::TemplateBeginHtmlHead()
	 */
	function TemplateBeginHtmlHead()
	{
		require_js('#jquery#');
		require_js($this->get_plugin_url().'fancybox/jquery.fancybox-1.3.1.pack.js',true);
		require_js($this->get_plugin_url().'fancybox/jquery.easing-1.3.pack.js',true);
		
		if( $this->Settings->get( 'fancybox_mousewheel_navigation' ) )
		{
			require_js($this->get_plugin_url().'fancybox/jquery.mousewheel-3.0.2.pack.js',true);
		}
		
		require_css($this->get_plugin_url().'fancybox/jquery.fancybox-1.3.1.css',true);
		
		$selector = $this->Settings->get( 'fancybox_selector' );
		add_js_headline($selector);
	}
	
	function GetDefaultSettings( & $params ) 
	{
		return array(
			'fancybox_mousewheel_navigation' => array(
				'label' => T_('Enable "mouse-wheel" navigation'),
				'type' => 'checkbox',
				'defaultvalue' => '1',
				'note' => T_( 'Enable "mouse-wheel" to navigate through gallery items' ),
			),
			'fancybox_selector' => array(
					'label' => $this->T_( 'Fancybox JQuery Selector' ),
					'type' => 'html_textarea',
					'rows' => 15,
					'note' => $this->T_( 'Get more fancy with Fancybox - ') . '<a href="http://fancybox.net/howto">'.$this->T_( 'Fancybox Howto').'</a> | <a href="http://fancybox.net/blog">'.$this->T_( 'Fancybox Tips & Tricks').'</a> | <a href="http://fancybox.net/api">'.$this->T_( 'Fancybox API & Options ').'</a>',
					'defaultvalue' => '$(document).ready(function() {

						/* This is basic - uses default settings */

						$("a.fancybox").fancybox();

						$("a.fancybox_group").fancybox();
					});',
				),			
			);
	}

} ?>
